﻿
init -1 python:
    config.developer = False
    config.screen_width = 800
    config.screen_height = 600
    config.window_title = u"Sexual Fantasy Kingdom vol I - Sex with Creatures - ANNIVERSARY EDITION - TRIAL VERSION"
    # Preferences code, part 1.
    layout.provides('preferences')
    renpy.load_module("_layout/classic_preferences_common")

    style.prefs_column = Style(style.vbox, help="preference columns")
    style.prefs_center = Style(style.prefs_column, help="the center preference column")

    config.preferences['prefs_center'] = [
        config.all_preferences[u'Display'],
        ]

    # Default screen for right-click.
    _game_menu_screen = 'preferences_screen'

    theme.roundrect(
        ## The color of an idle widget face.
        widget = "#B99579",
        ## The color of a focused widget face.
        widget_hover = "#D7B996",
        ## The color of the text in a widget.
        widget_text = "#271F16",
        ## The color of the text in a selected widget. (For
        ## example, the current value of a preference.)
        widget_selected = "#ffffff",
        ## The color of a disabled widget face. 
        disabled = "#7c6147",
        ## The color of disabled widget text.
        disabled_text = "#a2805e",
        ## The color of informational labels.
        label = "#ffffff",
        ## The color of a frame containing widgets.
        frame = "#6a543ee0",
        # centered = True,
        button_menu = True,
        rounded_window = False,
        ## The background of the main menu.
        mm_root = "title.jpg",
        ## The background of the game menu.
        gm_root="blank.jpg",         
        )

    config.main_menu = [
        ( u"Start Game", "start", 'True'),
        ( u"Option", _intra_jumps("preferences_screen", "main_game_transition"), 'True' ),
        ( u"Quit",  ui.callsinnewcontext("_quit_prompt"), 'True' ),
        ]
    config.game_menu = [
        ( "return", u"Return", ui.jumps("_return"), 'True'),
        ( "mainmenu", u"Main Menu",  _intra_jumps("_main_menu", "main_game_transition"), 'True'),
        ( "quit", u"Quit", ui.callsinnewcontext("_quit_prompt"), 'True'),
        ]

    
    #########################################
    ## Padding is space inside the window, where the background is
    ## drawn.
    style.window.left_padding = 6
    style.window.right_padding = 6
    style.window.top_padding = 6
    style.window.bottom_padding = 6
    ## This is the minimum height of the window, including the margins
    ## and padding.
    style.window.yminimum = 80
    style.window.background = Solid((124,97,71,155))
    #########################################
    ## This lets you change the placement of the main menu.
    style.mm_menu_frame.xpos = 0.5
    style.mm_menu_frame.xanchor = 0.5
    style.mm_menu_frame.ypos = 0.77
    style.mm_menu_frame.yanchor = 0.9
    #########################################
    ## Changing the size of buttons in menus
    style.menu_choice_button.xminimum = int(config.screen_width * 0.3)
    style.menu_choice_button.xmaximum = int(config.screen_width * 0.3)
    #########################################
    ## These let you customize the default font used for text in Ren'Py.
    ## The file containing the default font.


    style.default.font = "DejaVuSans.ttf"

    ## The default size of text.
    style.default.size = 22

    ## Note that these only change the size of some of the text. Other
    ## buttons have their own styles.
    #########################################
    config.has_sound = False
    config.has_music = True
    config.has_voice = False
    ## Sounds that are used when button and imagemaps are clicked.
    #style.button.activate_sound = "click.wav"
    #style.button.hover_sound = "beep.wav"
    #style.imagemap.activate_sound = "click.wav"
    #style.imagemap.hover_sound = "beep.wav"
    #style.default.activate_sound = "click.wav"
    #style.default.hover_sound = "beep.wav"
    ## Sounds that are used when entering and exiting the game menu.
    #config.enter_sound = "click.wav"
    #config.exit_sound = "click.wav"

    ## A sample sound that can be played to check the sound volume.
    #config.sample_sound = "click.wav"

    ## Music that is played while the user is at the main menu.
    # config.main_menu_music = "main_menu_theme.ogg"

    #########################################
    ## Transitions.
    ## Used when entering the game menu from the game.
    config.enter_transition = dissolve
    ## Used when exiting the game menu to the game.
    config.exit_transition = dissolve
    ## Used between screens of the game menu.
    config.intra_transition = dissolve
    ## Used when entering the game menu from the main menu.
    config.main_game_transition = dissolve
    ## Used when returning to the main menu from the game.
    config.game_main_transition = dissolve
    ## Used when entering the main menu from the splashscreen.
    config.end_splash_transition = dissolve
    ## Used when entering the main menu after the game has ended.
    config.end_game_transition = dissolve

    config.has_transitions = False
    config.has_cps = False
    config.has_afm = False
    config.has_skipping = False
    config.has_skip_after_choice = False

    #########################################
    ## Default values of Preferences.
    ## Note: These options are only evaluated the first time a
    ## game is run. To have them run a second time, delete
    ## game/saves/persistent
    ## Should we start in fullscreen mode?
    config.default_fullscreen = False

    ## The default text speed in characters per second. 0 is infinite.
    config.default_text_cps = 0

    # Adjust styles.
    style.gm_nav_frame.xalign = 0.5
    style.prefs_label.xalign = 0.5
    style.prefs_pref_choicebox.xalign = 0.5
    style.prefs_button.xalign = 0.5
    style.prefs_button.size_group = "pref"
    style.prefs_center.xalign = 0.5
    style.prefs_center.ypos = 30
    style.yesno_frame.yalign = 0.5
        

label preferences_screen:
    
    python hide:
        
        layout.navigation("preferences")
        
        ui.frame(xalign=0.5, yalign=0.5, xminimum=0.9)
        ui.text("""\
{size=25}SEXUAL FANTASY KINGDOM vol. I: Sex with Creatures{/size}
©Copyright 2008, GalaxyPink.com

Instructions:
- Left-click mouse to advance
- Esc or Right-click to view menus
- Use mouse wheel to rewind
- Change Display option for Window or Fullscreen

TRIAL VERSION - Please purchase the full version.""")

        ui.window(style='prefs_frame')
        ui.fixed(style='prefs_frame_box')

        for style, prefs in config.preferences.iteritems():

            ui.vbox(style=style)
            for i in prefs:
                i.render()
            ui.close()

        ui.close()

        ui.interact()
    
    jump preferences_screen
